Tests the access control policy for a billing account. This method takes the resource and a set of permissions as input and returns the subset of the input permissions that the caller is allowed for that resource.
HTTP request
POST https://cloudbilling.googleapis.com/v1/{resource=billingAccounts/*}:testIamPermissions
The URL uses Google API HTTP annotation syntax.
Path parameters
| Parameters | |
|---|---|
resource |
REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. |
Request body
The request body contains data with the following structure:
| JSON representation | |
|---|---|
{ "permissions": [ string ] } |
|
| Fields | |
|---|---|
permissions[] |
The set of permissions to check for the |
Response body
If successful, the response body contains data with the following structure:
Response message for TestIamPermissions method.
| JSON representation | |
|---|---|
{ "permissions": [ string ] } |
|
| Fields | |
|---|---|
permissions[] |
A subset of |
Authorization Scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-billinghttps://www.googleapis.com/auth/cloud-billing.readonly
For more information, see the Auth Guide.